diff -Nacr curl-6.3.std/configure.in curl-6.3/configure.in
*** curl-6.3.std/configure.in	Thu Nov 11 15:58:03 1999
--- curl-6.3/configure.in	Thu Nov 18 18:42:23 1999
***************
*** 32,37 ****
--- 32,73 ----
  AC_CHECK_FUNC(dlopen, , AC_CHECK_LIB(dl, dlopen))
  
  dnl **********************************************************************
+ dnl Check for the presence of KRB5 libraries and headers
+ dnl **********************************************************************
+ 
+ dnl Default to compiler & linker defaults for KRB5 files & libraries.
+ OPT_KRB5=off
+ AC_ARG_WITH(krb5,dnl
+ [  --with-krb5[=DIR]      where to look for KRB5 [compiler/linker default paths]
+                          DIR points to the KRB5 installation [/usr/local/krb5]],
+   OPT_KRB5=$withval
+ )
+ 
+ if test X"$OPT_KRB5" = Xno
+ then
+   AC_MSG_WARN(KRB5/https support disabled)  
+ else
+ 
+   dnl Check for & handle argument to --with-krb5.
+ 
+   AC_MSG_CHECKING(where to look for KRB5)
+   if test X"$OPT_KRB5" = Xoff
+   then
+   	AC_MSG_RESULT([defaults (or given in environment)])
+   else
+ 	test X"$OPT_KRB5" = Xyes && OPT_KRB5=/usr/local/krb5
+ 	LIBKRB5="-L $OPT_KRB5/lib -lgssapi_krb5 -lkrb5 -lcom_err"
+ 	LIBKRB5="$LIBKRB5 $OPT_KRB5/lib/libcrypto.a  -lresolv"
+ 	CPPFLAGS="$CPPFLAGS -I$OPT_KRB5/include"
+ 	AC_MSG_RESULT([$OPT_KRB5])
+   fi
+ 
+   dnl Check for KRB5 headers
+   AC_CHECK_HEADERS(krb5.h)
+ 
+ fi
+ 
+ dnl **********************************************************************
  dnl Check for the presence of SSL libraries and headers
  dnl **********************************************************************
  
***************
*** 56,62 ****
    	AC_MSG_RESULT([defaults (or given in environment)])
    else
  	test X"$OPT_SSL" = Xyes && OPT_SSL=/usr/local/ssl
! 	LIBS="$LIBS -L$OPT_SSL/lib"
  	CPPFLAGS="$CPPFLAGS -I$OPT_SSL/include/openssl -I$OPT_SSL/include"
  	AC_MSG_RESULT([$OPT_SSL])
    fi
--- 92,101 ----
    	AC_MSG_RESULT([defaults (or given in environment)])
    else
  	test X"$OPT_SSL" = Xyes && OPT_SSL=/usr/local/ssl
! 	LIBSSL=$OPT_SSL/lib/libssl.a
! 	LIBCRYPTO=$OPT_SSL/lib/libcrypto.a
! 	EXLIBS="$LIBSSL $LIBKRB5 $LIBCRYPTO"
! 	CPPFLAGS="$CPPFLAGS -DUSE_SSLEAY -DNO_IDEA"
  	CPPFLAGS="$CPPFLAGS -I$OPT_SSL/include/openssl -I$OPT_SSL/include"
  	AC_MSG_RESULT([$OPT_SSL])
    fi
***************
*** 178,183 ****
--- 217,223 ----
                  getpass )
  
  
+ LIBS="$EXLIBS $LIBS"
  
  AC_PATH_PROG( PERL, perl, , 
    $PATH:/usr/local/bin/perl:/usr/bin/:/usr/local/bin )
***************
*** 201,203 ****
--- 241,244 ----
  	   perl/getlinks.pl \
             perl/formfind.pl \
  	   perl/recursiveftpget.pl  )
+ 
diff -Nacr curl-6.3.std/lib/ssluse.c curl-6.3/lib/ssluse.c
*** curl-6.3.std/lib/ssluse.c	Mon Sep  6 02:59:41 1999
--- curl-6.3/lib/ssluse.c	Fri Nov 19 16:41:04 1999
***************
*** 179,184 ****
--- 179,189 ----
      /* Lets make a SSL structure */
      data->ssl = SSL_new (data->ctx);
      SSL_set_connect_state (data->ssl);
+ #ifndef NO_KRB5
+     if (data->ssl  &&  data->ssl->kssl_ctx)  {
+     	kssl_ctx_setstring(data->ssl->kssl_ctx, KSSL_SERVER, data->hostname);
+     	}
+ #endif	/* NO_KRB5  */
  
      data->server_cert = 0x0;
  
***************
*** 201,206 ****
--- 206,214 ----
       * attack
       */
  
+ #ifndef NO_KRB5
+ 	if (strstr(SSL_get_cipher(data->ssl), "KRB5") == NULL)  {
+ #endif	/* NO_KRB5  */
      data->server_cert = SSL_get_peer_certificate (data->ssl);
      if(!data->server_cert) {
        failf(data, "SSL: couldn't get peer certificate!");
***************
*** 228,233 ****
--- 236,244 ----
         deallocating the certificate. */
  
      X509_free (data->server_cert);
+ #ifndef NO_KRB5
+ 	}
+ #endif	/* NO_KRB5  */
  #else /* USE_SSLEAY */
      /* this is for "-ansi -Wall -pedantic" to stop complaining!   (rabe) */
      (void) data;
